"""
This is the data graphing submodule of the QMS package, it houses all the
data plotting functions.

Contains the following functions:
                line
                line3d
                bar
                barx3d
                scatter
                scatter3d
                contour



Author: Brian C. Ferrari
"""
from ..config   import *


from .bar                   import bar
from .barx3d                import barx3d
from .contour               import contour
from .line                  import line
from .line3d                import line3d
from .scatter               import scatter
from .scatter3d             import scatter3d
from .gaussians_overplotted import gaussians_overplotted
